For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • POSTCreate response
      • STREAMCreate response (streaming)
      • GETGet response
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIResponses

Create response

||View as Markdown|
POST
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id/responses
POST
/rest/v1beta1/conversations/:conversation_id/responses
$curl -X POST https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N/responses \
> -H "Assistant-Name: acmecorp-conversations-rest-api" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "input": {
> "text": "Who does John Doe report to?"
> }
>}'
1{
2 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
3 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
4 "status": "CREATED",
5 "created_at": "2025-01-20T10:00:00Z"
6}

Creates a response object for processing. Returns immediately with the response object. Use GetResponse by response_id to poll for the complete result.

Was this page helpful?
Previous

Create response (streaming)

Next
Built with

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Request

This endpoint expects an object.
inputobjectRequired
User input message

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

Response accepted for processing (acknowledgement)

response_idstring

A base-62 identifier prefixed by a short resource type

conversation_idstring

A base-62 identifier prefixed by a short resource type

statusenum
Response processing status
Allowed values:
created_atdatetime

Creation timestamp (ISO 8601)

completed_atdatetime or null

Completion timestamp (ISO 8601), null if not completed

outputslist of objects
Output items

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error